Summary: An FTP proxy/gateway server.
Name: jftpgw
Version: 0.13.5
Release: 2
License: GPL
Group: System Environment/Daemons
URL: http://www.mcknight.de/%{name}/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://www.mcknight.de/%{name}/%{name}-%{version}.tar.gz
Source1: %{name}.init
Source2: %{name}.xinetd
Source3: %{name}.logrotate
Patch0: %{name}-0.13.5-pidfile.patch

%define _withxinetd %(eval 'rpm -q xinetd > /dev/null ; echo $[ 1 - $? ]')

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: chkconfig

%description
%{name} is a proxy server for the FTP protocol. If it is running on a
machine, you can use a standard FTP client to connect to that machine. You
log in with remoteuser@destination with the password of the user on the
destination FTP server and the FTP session is forwarded from the `real' FTP
server to the %{name} proxy and from there to your client. You can also
specify the destination port on the login string. %{name} supports
passive/active FTP, access restrictions (based on source IP, target IP and
the user name), user rewriting and tries to drop its privileges as often as
possible. You can run %{name} as a normal user as well.
 
%prep
%setup -q
%patch0 -p1

%build
%configure --with-logpath=%{_var}/log
#--sysconfdir=%{_sysconfdir} --bindir=%{_sbindir} --prefix=%{_prefix}
%{__make}
 
%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
 
%{__install} -d %{buildroot}%{_sbindir}
%{__install} -d %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__install} -d %{buildroot}%{_sysconfdir}/logrotate.d
%if %{_withxinetd}
%{__install} -d %{buildroot}%{_sysconfdir}/xinetd.d
%endif
%{__install} -d %{buildroot}%{_var}/run/%{name}
%{__install} -d %{buildroot}%{_mandir}/man1

%{__install} %{name} %{buildroot}%{_sbindir}/%{name}
%{__install} -c -m 644 %{name}.conf.sample %{buildroot}%{_sysconfdir}/%{name}.conf
%{__install} -c -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
%{__install} -c -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%if %{_withxinetd}
%{__install} -c -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/xinetd.d/%{name}-inet
%endif
%{__install} -c -m 644 %{name}.1 %{buildroot}%{_mandir}/man1
 
%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
 
%post
/sbin/chkconfig --add %{name}
%if %{_withxinetd}
service xinetd reload >/dev/null 2>&1 || :
%endif

%preun
if [ $1 = 0 ]; then
  service %{name} stop >/dev/null 2>&1 || :
  %{__rm} -f %{_var}/run/%{name}/%{name}.pid || :
  /sbin/chkconfig --del %{name}
fi

%postun
if [ "$1" -ge "1" ]; then
  service %{name} condrestart >/dev/null 2>&1 || :
%if %{_withxinetd}
  service xinetd reload >/dev/null 2>&1 || :
%endif
fi

%files
%defattr(-,root,root)
%doc COPYING README TODO doc/config.html
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %config %{_sysconfdir}/rc.d/init.d/%{name}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%if %{_withxinetd}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/%{name}-inet
%endif
%attr(0755,nobody,root) %dir %{_var}/run/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Tue Nov 24 2015 josef radinger <cheese@nosuchhost.net> - 0.13.5-2
- recompile
- some cleanup of spec-file

* Fri Jun 04 2004 Simon Matter <simon.matter@invoca.ch>
- updated to jftpgw-0.13.5

* Tue May 13 2003 Simon Matter <simon.matter@invoca.ch>
- don't list xinetd as a dependency

* Tue Apr 01 2003 Simon Matter <simon.matter@invoca.ch>
- updated to jftpgw-0.13.4

* Fri Mar 21 2003 Simon Matter <simon.matter@invoca.ch>
- updated to jftpgw-0.13.3

* Mon Dec 16 2002 Simon Matter <simon.matter@invoca.ch>
- updated to jftpgw-0.13.2

* Fri Apr 12 2002 Simon Matter <simix@datacomm.ch>
- updated to jftpgw-0.13.1

* Mon Mar 18 2002 Simon Matter <simix@datacomm.ch>
- modified xinetd config file

* Thu Feb 28 2002 Simon Matter <simix@datacomm.ch>
- updated to jftpgw-0.13.0

* Tue Feb 05 2002 Simon Matter <simix@datacomm.ch>
- added test for xinetd
- added logrotate
- changed pidfile path

* Mon Feb 04 2002 Simon Matter <simix@datacomm.ch>
- updated to 0.13.beta.j
- making use of parameters and macros where possible

* Sun Feb 03 2002 Simon Matter <simix@datacomm.ch>
- updated spec file

* Sat Feb 02 2002 Simon Matter <simix@datacomm.ch>
- upgraded to 0.12.2

* Tue Jan 15 2002 Simon Matter <simix@datacomm.ch>
- added distribution and vendor information, minor cleanup

* Tue Oct 31 2001 Simon Matter <simix@datacomm.ch>
- added manpage

* Tue Aug 28 2001 Simon Matter <simix@datacomm.ch>
- upgraded to 0.12.0

* Mon Jun 25 2001 Simon Matter <simix@datacomm.ch>
- removed a bug in init script
